## ETableHeaderItem ETableHeaderItem |

## Synopsis

    struct              ETableHeaderItem;
    enum                ETableHeaderItemSortFlag;
    void                ethi_change_sort_state              (ETableHeaderItem *ethi,
                                                             ETableCol *col,
                                                             ETableHeaderItemSortFlag flag);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GnomeCanvasItem
                   +----ETableHeaderItem

## Properties

      "ETableHeader"             ETableHeader*         : Write
      "dnd-code"                 gchar*                : Read / Write
      "font-desc"                PangoFontDescription*  : Write
      "full-header"              ETableHeader*         : Read / Write
      "sort-info"                ETableSortInfo*       : Write
      "table"                    ETable*               : Write
      "tree"                     ETree*                : Write

## Signals

      "button-pressed"                                 : Run Last

## Description

## Details

### struct ETableHeaderItem

    struct ETableHeaderItem;

### enum ETableHeaderItemSortFlag

    typedef enum {
    	E_TABLE_HEADER_ITEM_SORT_FLAG_NONE = 0,
    	E_TABLE_HEADER_ITEM_SORT_FLAG_ADD_AS_FIRST = (1 << 0),
    	E_TABLE_HEADER_ITEM_SORT_FLAG_ADD_AS_LAST = (1 << 1)
    } ETableHeaderItemSortFlag;

`E_TABLE_HEADER_ITEM_SORT_FLAG_NONE` |
`E_TABLE_HEADER_ITEM_SORT_FLAG_ADD_AS_FIRST` |
`E_TABLE_HEADER_ITEM_SORT_FLAG_ADD_AS_LAST` |

### ethi_change_sort_state ()

    void                ethi_change_sort_state              (ETableHeaderItem *ethi,
                                                             ETableCol *col,
                                                             ETableHeaderItemSortFlag flag);

## Property Details

### The `"ETableHeader"` property

      "ETableHeader"             ETableHeader*         : Write

### The `"dnd-code"` property

      "dnd-code"                 gchar*                : Read / Write

Default value: NULL

### The `"font-desc"` property

      "font-desc"                PangoFontDescription*  : Write

### The `"full-header"` property

      "full-header"              ETableHeader*         : Read / Write

### The `"sort-info"` property

      "sort-info"                ETableSortInfo*       : Write

### The `"table"` property

      "table"                    ETable*               : Write

### The `"tree"` property

      "tree"                     ETree*                : Write

## Signal Details

### The `"button-pressed"` signal

    void                user_function                      (ETableHeaderItem *etableheaderitem,
                                                            GdkEvent         *arg1,
                                                            gpointer          user_data)             : Run Last